using System;
class Program
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int N = int.Parse(s[0]);
        int L = int.Parse(s[1]);
        
        List<int> H = new List<int>();
        string[] s1 = Console.ReadLine().Split();
        for(int i = 0; i<N; i++)
        {
            H.Add(int.Parse(s1[i]));
        }
        int br=0;
        for(int i = 0; i<N; i++)
        {
            if(L > H[i]) 
            {
                Console.Write(i+1);
                break;
            }
            br++;
        }
        if(br==N-1) Console.Write(-1);
        
    }
}